using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.CallCenter.Configs;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using Wex.Sdk;

namespace Hotline.Wex
{
    public static class WexStartupExtensions
    {
        public static IServiceCollection AddWex(this IServiceCollection services, WexConfiguration wexConfig)
        {
            services.AddWexSdk(wexConfig.Address);
            
            return services;
        }
    }
}
